tigase.jaxmpp.core.client

## Class Base64

- java.lang.Object
- - tigase.jaxmpp.core.client.Base64

-     public class Base64
      extends Object

  Base64 encoder/decoder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base64()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `decode(String s)` Translates the specified Base64 string into a byte array.
    `static String` | `encode(byte[] buf)` Translates the specified byte array into Base64 string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base64

          public Base64()

  - ### Method Detail

    - #### decode

          public static byte[] decode(String s)

      Translates the specified Base64 string into a byte array.
      Parameters:
        `s` - the Base64 string (not null)
      Returns:
        the byte array (not null)

    - #### encode

          public static String encode(byte[] buf)

      Translates the specified byte array into Base64 string.
      Parameters:
        `buf` - the byte array (not null)
      Returns:
        the translated Base64 string (not null)

Copyright © 2006–2020 Tigase. All rights reserved.